Skip to main content
GET
/
storage_units
Get Storage Units
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/storage_units \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/storage_units"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/storage_units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "nodes": [
    {
      "id": "sgu_1E844FWM71S0E0TM",
      "name": "<string>",
      "storage_location_id": "slc_1F3PMGVC91S0SBK3",
      "supplier_id": "spl_1CC712KFS1S0YKPS",
      "description": "<string>",
      "latitude": 0,
      "longitude": 0,
      "supplier_reference_id": "<string>"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  },
  "total_count": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Query Parameters

storage_location_id
string | null
Required string length: 20 - 37
Example:

"slc_1F3PMGVC91S0SBK3"

supplier_reference_id
string | null

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
last
integer
default:10

An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
before
string | null

An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.

Minimum string length: 1
first
integer
default:10

An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
after
string | null

An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.

Minimum string length: 1

Response

Successful Response

nodes
StorageUnit · object[]
required
page_info
PageInfo · object
required
total_count
integer
required